Subject: RE: Corrupt Process Listing
From: [email-masked] (Sergey Okhapkin)

10 May 1998 08:11:09 -0700
Message-ID: <01BD7C13.7D385AB0.cygnus.gnu-win32@sos>
To: gnuwin32 <[email-masked]>, "'Ian Collins'" <[email-masked]>

Ian Collins wrote:
> I am running a job that executes thousands of processes. It doesn't seem
> to matter whether I run this job interactively or in the background.
> The job is essentially a script with lots of calls to "make". After a
> while, make refuses to start any more processes, just echoing the error
> "waitforjob: no children".

It's a bug of ash - it doesn't handle pids more than 32767. Copy bash to your /bin/sh.

> 
> After this happens, the output of ps (the ps with coolview) looks as
> follows,
> (Incidentally, the date is on the PC is correct at, Sun May 10 10:12:36
> 1998).
> 
> /usr3/ian:  ps
>        PID     PPID     PGID   WINPID  UID TTY    STIME COMMAND
> I    32896     1000    32896      180  500  -1 09:57:02
> e:\usr\local\libexec\in.telnetd
> O        0        0        0        0    0   0   Jan 01
> I        0        0        0        0    0   0   Jan 01
>          0        0        0        0    0   2   Jan 01

1. Replace ps.exe with a new one bundled with coolview.
2. Be sure cygwinb19.dll from coolview is the only on your hard disk.

-- 
Sergey Okhapkin, http://www.lexa.ru/sos
Moscow, Russia

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".